/*
 * Copyright 2008, 2010 Boris Popov <popov.b@gmail.com>
 */

#include "XMLDocument.hpp"
		
XMLAttrIter::XMLAttrIter () {

	return;
}

XMLAttrIter::XMLAttrIter (const XMLAttrIter& ai) {

	this->IPA = ai.IPA;
	return;
}

XMLAttrIter&
XMLAttrIter::operator= (const XMLAttrIter& ai) {

	this->IPA = ai.IPA;
	return *this;
}

//-----------------------------------------------
XMLAttr&
XMLAttrIter::Get ()
{
	return (*IPA);
}
//-----------------------------------------------

//-----------------------------------------------
XMLAttrIter&
XMLAttrIter::operator ++ ()
{
	IPA++;
	return *this;
}
//-----------------------------------------------

//-----------------------------------------------
XMLAttrIter&
XMLAttrIter::operator ++ (int t)
{
	t = 0;
	IPA++;
	return *this;
}
//-----------------------------------------------

//-----------------------------------------------
XMLAttrIter&
XMLAttrIter::operator -- ()
{
	IPA--;
	return *this;
}
//-----------------------------------------------

//-----------------------------------------------
XMLAttrIter&
XMLAttrIter::operator -- (int t)
{
	t = 0;
	IPA--;
	return *this;
}
//-----------------------------------------------

//===============================================
bool
operator != (XMLAttrIter a, XMLAttrIter b)
{
	if (a.IPA != b.IPA)
	{
		return true;
	}
	return false;
}
//===============================================

//===============================================
bool
operator == (XMLAttrIter a, XMLAttrIter b)
{
	if (a.IPA == b.IPA)
	{
		return true;
	}
	return false;
}
//===============================================
