/*
 * Copyright 2008, 2010 Boris Popov <popov.b@gmail.com>
 */

#include "XMLBuilder.hpp"

//-----------------------------------------------
std::string
XMLBuilder::COM1 = "<!--";
std::string
XMLBuilder::COM2 = "-->";
//-----------------------------------------------

//-----------------------------------------------
XMLBuilder::XMLBuilder (XMLProlog& Prolog,
		XMLBody& Body) :
	bop (*(new XMLBuilderOfProlog (Prolog))),
	body (Body)
{
	return;
}
//-----------------------------------------------

//-----------------------------------------------
XMLBuilder::~XMLBuilder ()
{
	delete &bop;
	return;
}
//-----------------------------------------------

//-----------------------------------------------
std::string
XMLBuilder::Get ()
{
   return bop.Get () + ((body.Root->build ()));
}
//-----------------------------------------------
