/*
 * Copyright 2009, Boris Popov <popov.b@gmail.com>
 */

#include "XMLDocument.hpp"
#include "XMLSearchResultCommon.hpp"

//=============================================//
XMLSearchResult::XMLSearchResult () {

   m_container.clear ();
   return;
}

XMLSearchResult::~XMLSearchResult () {

   m_container.clear ();
   return;
}

void
XMLSearchResult::Clear () {

   m_container.clear ();
}

XMLSearchResultIter
XMLSearchResult::Begin () {

  XMLSearchResultIter iterator =
     XMLSearchResultIter ();

  iterator.m_current = m_container.begin ();
  return iterator;
}

XMLSearchResultIter
XMLSearchResult::End () {

  XMLSearchResultIter iter =
     XMLSearchResultIter ();


  iter.m_current = m_container.end ();
  return iter;
}
//=============================================//
