///////////////////////////////////////////////////////////////////////////////
// Библиотека алгоритмов небесной механики
// (с) ИПМ им.М.В.Келдыша, ЗАО "Проекттехника"
///////////////////////////////////////////////////////////////////////////////
// Интерфейсы трехмерных криволинейных координат
///////////////////////////////////////////////////////////////////////////////
#ifndef BNOTOOL_ICOORDS3D_H
#define BNOTOOL_ICOORDS3D_H
///////////////////////////////////////////////////////////////////////////////
#include "DVectors.h"

///////////////////////////////////////////////////////////////////////////////
class ICoords3D
{
public:
    virtual ~ICoords3D()
    {
    };

    // Установка координат по декартовым
    virtual void SetXYZ(const Vect3& src) = 0;
    // Получение декартовых координат
    virtual void GetXYZ(Vect3& dst) const = 0;
};

///////////////////////////////////////////////////////////////////////////////
#endif
