///////////////////////////////////////////////////////////////////////////////
// Библиотека программных инструментов
// (с) ИПМ им.М.В.Келдыша, ЗАО "Проекттехника"
///////////////////////////////////////////////////////////////////////////////
// Определения интерфейса прогресс-индикатора
///////////////////////////////////////////////////////////////////////////////
#ifndef BNOTOOLS_PRGIND_H
#define BNOTOOLS_PRGIND_H

///////////////////////////////////////////////////////////////////////////////
class IPrgInd
{
public:
    // Установка длительности процесса
    virtual void SetTotal(double t) = 0;
    // Установка текущей позиции
    virtual void SetCurrent(double t) = 0;
    // Была ли операция отменена пользователем?
    virtual bool IsCancel() const
    {
        return false;
    };
};

///////////////////////////////////////////////////////////////////////////////
#endif
