#ifndef QUALITYRNBUNIT_H
#define QUALITYRNBUNIT_H

#include <vector>
#include <iostream>

class QualityRnbUnit
{
public:
	QualityRnbUnit(){};
	void AddValue(double value);
	void CalculateStatistics();
	void ToXml(std::ostream& outs) const;
	double GetMax() const {return m_max;}
	double GetMin() const {return m_min;}
private:
	std::vector<double> m_vec;
	double m_mean;
	double m_sigma;
	double m_max;
	double m_min;
};

#endif
