#ifndef EARTHMODEL_H
#define EARTHMODEL_H

#include <string>
#include <myXML_Document.hpp>
#include "json_functions.h"

class EarthModel
{
public:
    EarthModel();
    EarthModel(std::string model, int m, int n);
    bool Load(myXML::Contain* parent);
    void load(const jsonval& parent);
    std::string GetModel() const { return m_model; }
    int GetHarmonicsM() const { return m_harmonicsM; }
    int GetHarmonicsN() const { return m_harmonicsN; }
private:
    int m_harmonicsM;
    int m_harmonicsN;
    std::string m_model;
};

#endif
