#ifndef OBJECTINFO_H
#define OBJECTINFO_H

#include "ObjectId.h"
#include <string>
#include <myXML_Document.hpp>

class ObjectInfo
{
public:
    ObjectInfo();
    bool Load(myXML::Contain* parent);
    void GetAsXML(std::ostream& outs) const;
    TObjectId GetId() const { return m_id; }
    int GetNipm() const { return m_nipm; }
    int GetCatnum() const { return m_catnum; }
    std::string GetIntdes() const { return m_intdes; }
    std::string GetOfficialName() const { return m_officialName; }
    bool IsLoaded() const { return m_loaded; }
    void ToXml(std::ostream& outs) const;
private:
    TObjectId m_id;
    int m_nipm;
    int m_catnum;
    std::string m_intdes;
    std::string m_officialName;
    bool m_loaded;
};
#endif
