#ifndef GLOBALS_H
#define GLOBALS_H 

#include "DVectors.h"

double sqr(double arg);
double sqr3(double arg);
double sqr4(double arg);
double Modulus(double arg1, double arg2);
int Round(double arg);
double Distance(double el1, double az1, double el2, double az2);
void AlongAcross(Vect6 satPosJ2000, Vect3 sitePosJ2000, double ra, double de, double& along, double& across, double& alongra, double& alongde, double& acrossra, double& acrossde);
void Topo2(double lat, double lon, double R, double el, double az, double& teta, double& dzita);
void Topo(double el, double az, double ksi, double teta, double dzita, double& rel, double& raz);

#endif
