#ifndef UNCERT_H
#define UNCERT_H 

#include "json_functions.h"

class Uncert
{
public:
    Uncert();
    Uncert(double harosh, double oshvr, double oshpp);
    void load(const jsonval& parent);
    double getHarosh() const { return m_harosh; }
    double getOshvr() const { return m_oshvr; }
    double getOshpp() const { return m_oshpp; }
    bool hasData() const { return m_hasdata; }
private:
    double m_harosh;
    double m_oshvr;
    double m_oshpp;
    bool m_hasdata;
};

#endif
