/*
 * Copyright 2010 Boris Popov <popov.b@gmail.com>
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <subextractor_common.hpp>

#ifndef __probing_hpp__
#define __probing_hpp__

namespace dxml {

//-----------------------------------------------
class Prober {

	public:
		Prober ();
		~Prober ();

		bool Probing (XmlSContainer&);

	private:
		Prober (const Prober&);
		Prober& operator= (const Prober&);
		
		XmlSContainer m_Local;

		void m_Init ();

		bool m_IsItValid (const XmlString&) const;
};
//-----------------------------------------------
}
#endif /* __probing_hpp__ */
