/*
 * Copyright 2008, 2010  Boris Popov <popov.b@gmail.com>
 */

#include "myXML_Document.hpp"

myXML::AttrIter::AttrIter()
{
    return;
}

myXML::AttrIter::AttrIter(const AttrIter& ai)
{
    this->IPA = ai.IPA;
    return;
}

myXML::AttrIter& myXML::AttrIter::operator=(const AttrIter& ai)
{
    this->IPA = ai.IPA;
    return *this;
}

//-----------------------------------------------
myXML::Attr& myXML::AttrIter::Get()
{
    return (*IPA);
}

//-----------------------------------------------

//-----------------------------------------------
myXML::AttrIter& myXML::AttrIter::operator ++()
{
    IPA++;
    return *this;
}

//-----------------------------------------------

//-----------------------------------------------
myXML::AttrIter& myXML::AttrIter::operator --()
{
    IPA--;
    return *this;
}

//-----------------------------------------------

//===============================================
bool myXML::operator !=(myXML::AttrIter a, myXML::AttrIter b)
{
    if (a.IPA != b.IPA) {
        return true;
    }
    return false;
}

//===============================================

//===============================================
bool myXML::operator ==(myXML::AttrIter a, myXML::AttrIter b)
{
    if (a.IPA == b.IPA) {
        return true;
    }
    return false;
}

//===============================================
