/*
 * Copyright 2008, 2010 Boris Popov <popov.b@gmail.com>
 */

#include "myXML_Document.hpp"


myXML::Attributes&
myXML::Declar::GetAttributes()
{
    return m_Attributes;
}

myXML::String myXML::Declar::part_one = "<?xml ";
myXML::String myXML::Declar::part_three = "?>";

myXML::Declar::Declar() :
    SW(myXML::Declar::ON)
{
    GetAttributes().AddAtt("version", "1.0");
    return;
}

myXML::Declar::~Declar()
{
    return;
}

myXML::String myXML::Declar::Get()
{
    String all;
    if (SW == myXML::Declar::OFF) {
        return all;
    }
    String part_two;

    AttrIter p = GetAttributes().Begin();
    AttrIter end = GetAttributes().End();

    while (p != end) {
        part_two = part_two +
            (p.Get()).att + "=\"" +
            (p.Get()).val + "\" ";
        ++p;
    }
    all = part_one + part_two + part_three;
    return all;
}

void myXML::Declar::UnSet()
{
    SW = myXML::Declar::OFF;
    return;
}

void myXML::Declar::Set()
{
    SW = myXML::Declar::ON;
    GetAttributes().Clear();
    GetAttributes().AddAtt("version", "1.0");
    return;
}

bool myXML::Declar::IsItEnabled() const
{
    if (SW == ON) return true;
    return false;
}
