/*
 * Copyright 2008, 2010 Boris Popov <popov.b@gmail.com>
 */

#include "myXML_Document.hpp"


myXML::Node::~Node()
{
    return;
}

myXML::Node::Node(myXML::Document::TypeOfNode type)
{
    TypeNode = type;
    pParent = 0;
    place = undef;
    return;
}

void myXML::Node::Set(String str)
{
    Content = str;
    return;
}

myXML::String myXML::Node::Get() const
{
    return Content;
}

myXML::Document::TypeOfNode myXML::Node::GetType() const
{
    return TypeNode;
}

size_t myXML::Node::GetLevel() const
{
    size_t Level = 0;
    Contain* pTemp;
    pTemp = pParent;
    while (pTemp != 0) {

        Level++;
        pTemp = pTemp->pParent;
    }
    return Level;
}
