/*
 * Copyright 2008, 2010 Boris Popov <popov.b@gmail.com>
 */

#include "myXML_Document.hpp"
#include "myXML_Mirroring.hpp"

// =========================================== //
myXML::Text::Text(String str) :
    myXML::Node(myXML::Document::Text)
{
    place = out;
    Set(str);
    return;
}

myXML::Text::Text() :
    myXML::Node(myXML::Document::Text)
{
    place = in;
    return;
}

myXML::Text::~Text()
{
    return;
}

myXML::Text& myXML::Text::operator =(Text& t)
{
    t.Get();
    return *this;
}

myXML::String myXML::Text::build()
{
    String shift;
    size_t lev = GetLevel();
    for (size_t i = 0; i < lev; i++) {

        shift = shift + "    ";
    }
    mr::ToMirror tMirror;
    String text = Get();
    return shift + tMirror.Fetch((text)) + "\n";
}

// =========================================== //
