/*
 * Copyright 2008, 2010 Boris Popov <popov.b@gmail.com>
 */

/*
 *
 * Построитель текстового
 * представления из
 * объектной структуры.
 *
 */

#include <XMLDocument.hpp>

#ifndef __xmlbuilder_hpp__
#define __xmlbuilder_hpp__

class XMLBuilderOfProlog;
class XMLProlog;
class XMLBody;

class XMLBuilder
{
	public:
		XMLBuilder (XMLProlog& Prolog,
				XMLBody& Body);
		~XMLBuilder ();
		std::string Get ();
	private:
		XMLBuilderOfProlog& bop;
		XMLBody& body;
		static std::string COM1;
		static std::string COM2;
};

class XMLBuilderOfProlog
{
	public:
		XMLBuilderOfProlog (XMLProlog& Prolog);
		~XMLBuilderOfProlog ();
		std::string Get ();
	private:
		XMLProlog& bop;
		std::string get_declar ();
		static std::string DECL1;
		static std::string DECL2;
};
#endif
