/*
 * Copyright 2009, Boris Popov <popov.b@gmail.com>
 */

#include "XMLDocument.hpp"

// ================================================= //
XMLChildIter::XMLChildIter (const XMLChildIter& ci) {

	this->m_IOC = ci.m_IOC;
	return;
}

XMLChildIter&
XMLChildIter::operator= (const XMLChildIter& ci) {

	this->m_IOC = ci.m_IOC;
	return *this;
}

XMLChildIter::XMLChildIter () {

   return;
}

XMLChildIter::~XMLChildIter () {

   return;
}

XMLNode*
XMLChildIter::operator * () {

   return *m_IOC;
}

XMLNode*
XMLChildIter::operator -> () {
   
   return *m_IOC;
}

XMLChildIter&
XMLChildIter::operator ++ () {

   m_IOC++;
   return *this;
}

XMLChildIter&
XMLChildIter::operator ++ (int t) {
   
   t = 0;
   m_IOC++;
   return *this;
}

XMLChildIter&
XMLChildIter::operator -- () {
   
   m_IOC--;
   return *this;
}

XMLChildIter&
XMLChildIter::operator -- (int t) {
   
   t = 0;
   m_IOC--;
   return *this;
}

bool operator != (XMLChildIter a, XMLChildIter b) {

   if (a.m_IOC != b.m_IOC) {

      return true;
   }
   return false;
}

bool operator == (XMLChildIter a, XMLChildIter b) {
   
   if (a.m_IOC == b.m_IOC) {

      return true;
   }
   return false;
}
// ================================================= //
