/*
 * Copyright 2008, Boris Popov <popov.b@gmail.com>
 */

#include "XMLDocument.hpp"

//-----------------------------------------------
XMLNode::~XMLNode ()
{
	return;
}
//-----------------------------------------------

//-----------------------------------------------

std::string
XMLNode::build ()
{
   return "";
}
//-----------------------------------------------

//-----------------------------------------------
XMLNode::XMLNode (XMLDocument::TypeCont type)
{
	TypeNode = type;
	pParent = 0;
	place = undef;
	return;
}
//-----------------------------------------------

//-----------------------------------------------
void XMLNode::Set (std::string str)
{
	Content = str;
	return;
}
//-----------------------------------------------

//-----------------------------------------------
std::string XMLNode::Get () const 
{
	return Content;
}
//-----------------------------------------------

//-----------------------------------------------
XMLDocument::TypeCont
XMLNode::GetType () const
{
	return TypeNode;
}
//-----------------------------------------------

//-----------------------------------------------
level XMLNode::GetLevel () const
{
	level Level = 0;
	XMLContain* pTemp;
	pTemp = pParent;
	while (pTemp != 0)
	{
		Level++;
		pTemp = pTemp->pParent;
	}
	return Level;
}
//-----------------------------------------------
