/*
 * Copyright 2009, 2010 Boris Popov <popov.b@gmail.com>
 */

#include "XMLDocument.hpp"
#include "XMLSearchResultCommon.hpp"

//=============================================//
XMLSearchResultIter::XMLSearchResultIter
(const XMLSearchResultIter& ri) {

	this->m_current = ri.m_current;
	return;
}

XMLSearchResultIter&
XMLSearchResultIter::operator= (const XMLSearchResultIter& ri) {

	this->m_current = ri.m_current;
	return *this;
}

XMLSearchResultIter::XMLSearchResultIter () {

   return;
}

XMLSearchResultIter::~XMLSearchResultIter () {

   return;
}

XMLContain*
XMLSearchResultIter::operator * () {

   return *m_current;
}

XMLContain*
XMLSearchResultIter::operator -> () {
   
   return *m_current;
}
      
XMLSearchResultIter&
XMLSearchResultIter::operator ++ () {

   m_current++;
   return (*this);
}
      
XMLSearchResultIter&
XMLSearchResultIter::operator ++ (int t) {
  
   t = 0;
   m_current++;
   return (*this);
}
//=============================================//

//=============================================//
bool
operator != (XMLSearchResultIter a,
      XMLSearchResultIter b) {

   return (a.m_current != b.m_current);
}
//=============================================//

//=============================================//
bool
operator == (XMLSearchResultIter a,
      XMLSearchResultIter b) {

   return (a.m_current == b.m_current);
}
//=============================================//

