///////////////////////////////////////////////////////////////////////////////
// Библиотека алгоритмов небесной механики
// (с) ИПМ им.М.В.Келдыша, ЗАО "Проекттехника"
///////////////////////////////////////////////////////////////////////////////
// Стандартные утилиты для угловых величин
///////////////////////////////////////////////////////////////////////////////
#ifndef BNOTOOL_ANGLES_H
#define BNOTOOL_ANGLES_H
///////////////////////////////////////////////////////////////////////////////
#include "Consts.h"
///////////////////////////////////////////////////////////////////////////////
// Вычисление разности угловых величин
///////////////////////////////////////////////////////////////////////////////
double AngleDiff(double a1, double a2);
///////////////////////////////////////////////////////////////////////////////
// Приведение угловой величины к диапазону 0 - 2 * Pi
///////////////////////////////////////////////////////////////////////////////
double Angle2Pi(double a);
///////////////////////////////////////////////////////////////////////////////
// Приведение угловой величины к диапазону от -Pi до +Pi
///////////////////////////////////////////////////////////////////////////////
double AnglePiPM(double a);
///////////////////////////////////////////////////////////////////////////////
#endif
