///////////////////////////////////////////////////////////////////////////////
// Библиотека алгоритмов небесной механики
// (с) ИПМ им.М.В.Келдыша, ЗАО "Проекттехника"
///////////////////////////////////////////////////////////////////////////////
// Функции доступа к текущему экземпляру астробаллистической базы
///////////////////////////////////////////////////////////////////////////////
#include "Defines.h"
#include "IAstroBase.h"
///////////////////////////////////////////////////////////////////////////////
// Указатель на текущий экземпляр базы
static IAstroBase* CurBase = NULL;
///////////////////////////////////////////////////////////////////////////////
// Установка
void SetAstroBase(IAstroBase& base)
{
    CurBase = &base;
};
//-----------------------------------------------------------------------------
// Получение 
IAstroBase* GetAstroBase()
{
    TAssert(CurBase != NULL);
    return CurBase;
}

///////////////////////////////////////////////////////////////////////////////
