///////////////////////////////////////////////////////////////////////////////
// Библиотека программных инструментов
// (с) ИПМ им.М.В.Келдыша, ЗАО "Проекттехника"
///////////////////////////////////////////////////////////////////////////////
// Определения общих макросов и типов
///////////////////////////////////////////////////////////////////////////////
#ifndef BNOTOOLS_DEFINES_H
#define BNOTOOLS_DEFINES_H
///////////////////////////////////////////////////////////////////////////////
#include <stdlib.h>
#include <assert.h>
///////////////////////////////////////////////////////////////////////////////
#define TAssert(a) assert(a)
///////////////////////////////////////////////////////////////////////////////
typedef unsigned char uchar;
typedef unsigned int uint;
typedef unsigned long ulong;
typedef unsigned short ushort;
///////////////////////////////////////////////////////////////////////////////
// Функции сравнения, нечувствительные к регистру
///////////////////////////////////////////////////////////////////////////////
#if defined(_WIN32) || defined(_WINDOWS) || defined(_Windows)
#define	strcasecmp stricmp
#else
#define	stricmp	strcasecmp
#endif
///////////////////////////////////////////////////////////////////////////////
// Определение байта
///////////////////////////////////////////////////////////////////////////////
#ifndef byte
#define byte uchar
#endif
///////////////////////////////////////////////////////////////////////////////
#endif
