#include <stdio.h>
///////////////////////////////////////////////////////////////////////////////
// Библиотека программных инструментов
// (с) ИПМ им.М.В.Келдыша, ЗАО "Проекттехника"
///////////////////////////////////////////////////////////////////////////////
// Классы для представления файла конфигурации в формате
// "key=value"
///////////////////////////////////////////////////////////////////////////////
#include "TextConfig.h"
#include <stdio.h>
#include <cstring>
///////////////////////////////////////////////////////////////////////////////
// Загрузка файла
bool TextConfig::Load(const char* fname)
{
    clear();

    FILE* f;
    char *s1, *s2;

    f = fopen(fname, "r");
    if (f == NULL)
        return false;
    char s[1024];

    while (!feof(f)) {
        s1 = fgets(s, 1023, f);
        if (s1 == NULL)
            continue;
        if (strlen(s1) > 1022) {
            continue;
        };

        s2 = strstr(s1, Separator);
        if (s2 == NULL)
            continue;
        *s2 = '\0';
        TString r = s2 + Separator.GetLength();
        r.TrimRightChar('\x0a');
        r.TrimRightChar(' ');
        Add(s, r);
    };

    fclose(f);
    return true;
}

///////////////////////////////////////////////////////////////////////////////
