///////////////////////////////////////////////////////////////////////////////
// Библиотека программных инструментов
// (с) ИПМ им.М.В.Келдыша, ЗАО "Проекттехника"
///////////////////////////////////////////////////////////////////////////////
// Классы для представления файла конфигурации в формате
// "key=value"
///////////////////////////////////////////////////////////////////////////////
#ifndef BNOTOOL_TEXTCONFIG_H
#define BNOTOOL_TEXTCONFIG_H
///////////////////////////////////////////////////////////////////////////////
#include "KVList.h"

///////////////////////////////////////////////////////////////////////////////
class TextConfig : public TKVList
{
public:
    TextConfig() : TKVList()
    {
        Separator = "=";
    };
    // Загрузка файла
    bool Load(const char* fname);
    // Установка разделителя
    void SetSeparator(const char* c)
    {
        Separator = c;
    };

protected:
    TString Separator;
};

///////////////////////////////////////////////////////////////////////////////
#endif
