///////////////////////////////////////////////////////////////////////////////
// Библиотека программных инструментов
// (с) ИПМ им.М.В.Келдыша, ЗАО "Проекттехника"
///////////////////////////////////////////////////////////////////////////////
// Общие математические константы
///////////////////////////////////////////////////////////////////////////////
#ifndef BNOTOOL_MATHCONST_H
#define BNOTOOL_MATHCONST_H
///////////////////////////////////////////////////////////////////////////////
#define Pi       3.14159265358979323846        /* pi        */
#define Pi2     (Pi*2.0)                       /* 2pi       */
#define Pid2    (Pi/2.0)                       /* pi/2      */
#define Pid4    (Pi/4.0)                       /* pi/4      */
#define Pi3d4   (3.0*Pid4)                     /* 3pi/4     */
#define Pi3d2   (3.0*Pid2)                     /* 3pi/2     */
#define Sqrt2    1.41421356237309504880        /* sqrt(2)   */
#define Sqrt05   0.70710678118654752440        /* 1/sqrt(2) */
///////////////////////////////////////////////////////////////////////////////
#define deg2rad (Pi/180.0)
#define rad2deg (180.0/Pi)
#define sec2rad (Pi/648000.0)
///////////////////////////////////////////////////////////////////////////////
long double const sec2day = 1.0l / 86400.0l;
///////////////////////////////////////////////////////////////////////////////
#endif
