#ifndef ATMMODEL_H
#define ATMMODEL_H

#include <string>
#include <myXML_Document.hpp>
#include "json_functions.h"

class AtmModel
{
public:
    AtmModel();
    AtmModel(std::string model, std::string kpmodel);
    bool Load(myXML::Contain* parent);
    void load(const jsonval& parent);
    std::string GetModel() const { return m_model; }
    std::string GetKpModel() const { return m_kpModel; }
    bool IsUsed() const { return m_model != "ATM_NONE"; };
private:
    std::string m_model;
    std::string m_kpModel;
};

#endif
