#pragma once

#include <string>

// enum STR2INT_ERROR { XSUCCESS, XOVERFLOW, XUNDERFLOW, XINCONVERTIBLE };
//
// STR2INT_ERROR str2int(int& i, char const* s, int base = 0)
// {
//     char* end;
//     long l;
//     errno = 0;
//     l = strtol(s, &end, base);
//     if ((errno == ERANGE && l == LONG_MAX) || l > INT_MAX) {
//         return XOVERFLOW;
//     }
//     if ((errno == ERANGE && l == LONG_MIN) || l < INT_MIN) {
//         return XUNDERFLOW;
//     }
//     if (*s == '\0' || *end != '\0') {
//         return XINCONVERTIBLE;
//     }
//     i = l;
//     return XSUCCESS;
// }

class Converter {
public:

    static bool ToNumber(const std::string& str, unsigned short int& val)
    {
        val = std::stoi(str, nullptr);
        return true;
    }

    static bool ToNumber(const std::string& str, short& val)
    {
        val = std::stoi(str, nullptr);
        return true;
    }

    static bool ToNumber(const std::string& str, size_t& val)
    {
        val = std::stoll(str, nullptr);
        return true;
    }

    static bool ToNumber(const std::string& str, int& val)
    {
        val = std::stoi(str, nullptr);
        return true;
    }

    static bool ToNumber(const std::string& str, double& val)
    {
        val = std::stod(str, nullptr);
        return true;
    }

    static bool ToNumber(const std::string& str, float& val)
    {
        val = std::stof(str, nullptr);
        return true;
    }

    static bool ToNumber(const std::string& str, bool& val)
    {
        if (str == "false" || str == "FALSE") {
            val = false;
            return true;
        }

        if (str == "true" || str == "TRUE") {
            val = true;
            return true;
        }

        //std::istringstream ss(str);
        //ss >> val;
        //return !ss.fail();

        val = std::stoi(str, nullptr);
        return true;
    }
};
