#ifndef PROGNOZPREDICT_H
#define PROGNOZPREDICT_H

#include "IPredict.h"
#include "PhasePoint.h"

class PrognozPredict : public IPredict
{
public:
    PrognozPredict() { FlagInit = false; };

    virtual ~PrognozPredict()
    {
    };
    void SetInitPoint(const PhasePoint6D& src, double periodChangePerRev);
    virtual bool Run(const TimeJD& t);
    virtual void GetDestPoint(PhasePoint6D& dest);
    virtual void GetDestPointA(Vect6& dest);

protected:
    double m_periodChangePerRev; // period in min per revolution
    bool FlagInit;
    PhasePoint6D m_initPoint;
    Vect6 m_dstPoint;
    TimeJD m_time;
};

#endif
