#include "exec.h"
#include <cstdio>

std::string exec(const char* cmd)
{
#ifndef WIN32
    FILE* pipe = popen(cmd, "r");
#else
    FILE* pipe = _popen(cmd, "r");
#endif

    if (!pipe) return "ERROR";
    char buffer[128];
    std::string result;
    while (!feof(pipe)) {
        if (fgets(buffer, 128, pipe) != nullptr)
            result += buffer;
    }

#ifndef WIN32
    pclose(pipe);
#else
    _pclose(pipe);
#endif

    return result;
}
