#include "integratorcfg.h"
#include "XMLFunctions.h"

void IntegratorCfg::load(const jsonval& parent)
{
    loadjson(parent, "eps", m_eps, false);
    loadjson(parent, "init_step", m_stepinit, false);
    loadjson(parent, "min_step", m_stepmin, false);
    loadjson(parent, "prec_itrf", m_precItrf, false);
}

bool IntegratorCfg::Load(myXML::Contain* parent)
{
    std::map<std::string, myXML::Contain*> con;
    GetChildren(parent, con);
    
    LoadXML(con, "integratorEps", m_eps, false);
    LoadXML(con, "integratorStepInit", m_stepinit, false);
    LoadXML(con, "integratorStepMin", m_stepmin, false);
    LoadXML(con, "prec_itrf", m_precItrf, false);

    return true;
}
