#include "trj_inter_x.h"
#include "GreenwichFrame.h"

TrjInterX::TrjInterX(const XInterpolator& itp)
    : m_itp(itp)
{
}

bool TrjInterX::Predict(const TimeJD& t, const IFrame& fr, Vect6& f)
{
    PhasePoint6D pp(GreenwichFrame(), m_itp.get_pos(t, true), t);
    pp.Convert(fr);
    f = pp.CoordsVel;

    return true;
}

bool TrjInterX::PredictMatrix(const TimeJD& t, const IFrame& fr, Vect6& f, DMatrix& m)
{
    return true;
}

bool TrjInterX::Move(const TimeJD& t, DVector& u)
{
    return true;
}

bool TrjInterX::Init(const DVector& u0)
{
    return true;
}
