#include "uncert.h"

Uncert::Uncert()
    : m_hasdata(false)
{
}

Uncert::Uncert(double harosh, double oshvr, double oshpp)
    :
    m_harosh(harosh),
    m_oshvr(oshvr),
    m_oshpp(oshpp),
    m_hasdata(true)
{
}

void Uncert::load(const jsonval& parent)
{
    loadjson(parent, "harosh", m_harosh, false);
    loadjson(parent, "oshvr", m_oshvr);
    loadjson(parent, "oshpp", m_oshpp);

    m_hasdata = true;
}
