/*
 * Copyright 2009, 2010  Boris Popov <popov.b@gmail.com>
 */

#include "myXML_Document.hpp"

// ================================================= //
myXML::ChildIter::ChildIter(const ChildIter& ci)
{
    this->m_IOC = ci.m_IOC;
    return;
}

myXML::ChildIter& myXML::ChildIter::operator=(const ChildIter& ci)
{
    this->m_IOC = ci.m_IOC;
    return *this;
}

myXML::ChildIter::ChildIter()
{
    return;
}

myXML::ChildIter::~ChildIter()
{
    return;
}

myXML::Node* myXML::ChildIter::operator *()
{
    return *m_IOC;
}

myXML::ChildIter& myXML::ChildIter::operator ++()
{
    m_IOC++;
    return *this;
}

myXML::ChildIter& myXML::ChildIter::operator --()
{
    m_IOC--;
    return *this;
}

bool myXML::operator !=(myXML::ChildIter a, myXML::ChildIter b)
{
    if (a.m_IOC != b.m_IOC) {

        return true;
    }
    return false;
}

bool myXML::operator ==(myXML::ChildIter a, myXML::ChildIter b)
{
    if (a.m_IOC == b.m_IOC) {

        return true;
    }
    return false;
}

// ================================================= //
